Debian Bug report logs - #617425
ITP: derby -- an open source relational database implemented entirely in Java

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Zied ABID <ziedabid@free.fr>

Date: Tue, 8 Mar 2011 20:33:02 UTC

Owned by: Zied ABID <ziedabid@free.fr>

Severity: wishlist

Fixed in version derby/10.10.1.1-1

Done: Emmanuel Bourg <ebourg@apache.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#617425; Package wnpp. (Tue, 08 Mar 2011 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zied ABID <ziedabid@free.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 08 Mar 2011 20:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Zied ABID <ziedabid@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: derby -- an open source relational database implemented entirely in Java
Date: Tue, 08 Mar 2011 21:29:07 +0100
Package: wnpp
Severity: wishlist
Owner: Zied ABID <ziedabid@free.fr>


* Package name    : derby
  Version         : 10.7.1.1
  Upstream Author : Apache DB subproject (http://db.apache.org/)
* URL             : http://db.apache.org/derby/
* License         : Apache License, Version 2.0
  Programming Lang: Java
  Description     : Apache Derby is an open source relational database
implemented entirely in Java.

Upstream sources might be split into several java packages : derby server,
derby java driver, derby client, demo example and javadoc.

Latest release  is 10.7.1.1 and sources available at :
http://svn.apache.org/repos/asf/db/derby/code/tags/10.7.1.1/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Mon, 24 Oct 2011 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Mon, 24 Oct 2011 12:17:04 GMT) Full text and rfc822 format available.

Message #10 received at 617425@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 617425@bugs.debian.org
Subject: ITP: derby -- an open source relational database implemented entirely in Java
Date: Mon, 24 Oct 2011 14:04:40 +0200
Hello,

I am currently working on a package depending on derby (see [1]). Are
you succeeding in packaging derby ? Do you need any help ?

Regards,
Bertrand

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=517915




Message sent on to Zied ABID <ziedabid@free.fr>:
Bug#617425. (Sun, 13 Nov 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #13 received at 617425-submitter@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 617425-submitter@bugs.debian.org
Subject: Status of Derby package
Date: Sat, 12 Nov 2011 23:30:17 -0500
Hello,

In addition to the comment above, triplea is now in NEW, and has
capabilities which depend on Derby. For now, they are just turned off
but can be turned on if Derby is packaged.

If someone is working on it, I can sponsor for you. I'd also encourage
you to make it a pkg-java team package.

Thanks,
Scott




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Thu, 17 Nov 2011 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Claude <ludovic.claude@laposte.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Thu, 17 Nov 2011 23:09:03 GMT) Full text and rfc822 format available.

Message #18 received at 617425@bugs.debian.org (full text, mbox):

From: Ludovic Claude <ludovic.claude@laposte.net>
To: 617425@bugs.debian.org, Debian Java List <debian-java@lists.debian.org>
Subject: sunjava-db already packaged in Debian and same as Derby
Date: Thu, 17 Nov 2011 23:56:56 +0100
Hello,

The package sunjava-db is already present in Debian, it's a version of 
Derby which is supported by Sun.

Unless your project requires a specific version of Derby, you should 
probably be able to use Sun Java DB instead.

Ludovic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Thu, 17 Nov 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Thu, 17 Nov 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #23 received at 617425@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: debian-java@lists.debian.org
Cc: Ludovic Claude <ludovic.claude@laposte.net>, 617425@bugs.debian.org
Subject: Re: sunjava-db already packaged in Debian and same as Derby
Date: Fri, 18 Nov 2011 00:11:43 +0100
[Message part 1 (text/plain, inline)]
Le jeudi 17 novembre 2011 23:56:56, Ludovic Claude a écrit :
> Hello,

Hi,
 
> The package sunjava-db is already present in Debian, it's a version of
> Derby which is supported by Sun.

non-free != Debian :)

> Unless your project requires a specific version of Derby, you should
> probably be able to use Sun Java DB instead.

Sun Java DB is just a binary package of Derby but it's not DFSG compliant : 
it's under the same licence as Sun ClosedJDK. And, as Oracle decided to stop 
providing DLJ build (Distributor Licence for Java), Sun Java and Sun Java DB 
can't be distributed in non-free.

So I think packaging Derby is more than welcome (ie. to provide same feature 
set in OpenJDK as in ClosedJDK)

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Fri, 27 Jan 2012 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Fri, 27 Jan 2012 15:30:03 GMT) Full text and rfc822 format available.

Message #28 received at 617425@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 617425@bugs.debian.org, debian-java@lists.debian.org
Subject: Any news?
Date: Fri, 27 Jan 2012 16:25:48 +0100
Hi,

any news about this ITP?  Even preliminary stuff in some Vcs to look at?

I need to package an application which contains a derby.jar ...

Kind regards

        Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Wed, 01 Feb 2012 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Wed, 01 Feb 2012 13:15:07 GMT) Full text and rfc822 format available.

Message #33 received at 617425@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: Andreas Tille <andreas@an3as.eu>
Cc: 617425@bugs.debian.org, debian-java@lists.debian.org
Subject: Re: Any news?
Date: Wed, 1 Feb 2012 14:12:10 +0100
Hi,

I got a message from Zied last November about derby. He wrote me  that
he wouldn't be available for a few months and detailed a bit his work
on this package. The blocking issue was that derby depended on javacc
4 and needed work to compile with javacc 5. Upstream is working on
this (see [1]).

I don't know about vcs or any preliminary stuff.

Regards,
Bertrand

[1] https://issues.apache.org/jira/browse/DERBY-5125




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Wed, 01 Feb 2012 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Wed, 01 Feb 2012 14:03:03 GMT) Full text and rfc822 format available.

Message #38 received at 617425@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Bertrand Marc <beberking@gmail.com>
Cc: 617425@bugs.debian.org, debian-java@lists.debian.org
Subject: Re: Any news?
Date: Wed, 1 Feb 2012 14:58:35 +0100
Hi,

On Wed, Feb 01, 2012 at 02:12:10PM +0100, Bertrand Marc wrote:
> I got a message from Zied last November about derby. He wrote me  that
> he wouldn't be available for a few months and detailed a bit his work
> on this package. The blocking issue was that derby depended on javacc
> 4 and needed work to compile with javacc 5. Upstream is working on
> this (see [1]).
> 
> I don't know about vcs or any preliminary stuff.
> 
> [1] https://issues.apache.org/jira/browse/DERBY-5125

Thanks for the clarification.  I just learned that my target package can
be switched to libsqlite which hopefully simplifies the packaging and I
lost interest in Derby (just to let you know that I'm somehow out of the
row for this).

Kind regards

      Andreas.

-- 
http://fam-tille.de




Added indication that bug 617425 blocks 667598 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 09:54:39 GMT) Full text and rfc822 format available.

Added indication that bug 617425 blocks 517915,525059 Request was from Bertrand Marc <beberking@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 08:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Sun, 24 Feb 2013 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Booth <avarus@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Sun, 24 Feb 2013 16:57:04 GMT) Full text and rfc822 format available.

Message #47 received at 617425@bugs.debian.org (full text, mbox):

From: Tim Booth <avarus@fastmail.fm>
To: 617425@bugs.debian.org
Subject: Working on this package
Date: Sun, 24 Feb 2013 16:53:10 +0000
Hi,

Just to let people know I've committed my initial work to get this
building.  This is not complete and will not yet produce binary debs you
can use, but I'm progressing.   I'm trying to make a drop-in replacement
for the sun-javadb-* packages in Ubuntu multiverse. I believe there is
no longer any real problem with the new JavaCC (a very small patch gets
it to compile) but I can't say this until I get the functional tests
running.  Ant, in it's usual way, tells me there is an error compiling
the functional tests but it won't tell me what the error message
actually is.  I will try to trace and fix some time next week, and then
finish up the packaging.

For the curious:

http://anonscm.debian.org/viewvc/debian-med/trunk/packages/apache-derby/

This work was done as part of the Debian Med Sprint 2013:

http://wiki.debian.org/DebianMed/Meeting/Kiel2013

TIM

-- 
Of course I'm a technophobe; I program computers for a living!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Tue, 09 Apr 2013 09:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Booth <tbooth@ceh.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Tue, 09 Apr 2013 09:24:04 GMT) Full text and rfc822 format available.

Message #52 received at 617425@bugs.debian.org (full text, mbox):

From: Tim Booth <tbooth@ceh.ac.uk>
To: 617425@bugs.debian.org
Subject: re: Working on this package
Date: Tue, 9 Apr 2013 10:12:13 +0100
I've now finished the work mentioned above.  Unfortunately I can't
support the package in Debian at present but I believe the package is
essentially ready for Debian use.

Note it requires a patched JavaCC to compile properly:

https://launchpad.net/~tbooth/+archive/ppa1/+files/javacc_5.0-5fix1ubuntu2.dsc

TIM

-- 
Tim Booth <tbooth@ceh.ac.uk>
NERC Environmental Bioinformatics Centre 

Centre for Ecology and Hydrology
Maclean Bldg, Benson Lane
Crowmarsh Gifford
Wallingford, England
OX10 8BB 

http://nebc.nerc.ac.uk
+44 1491 69 2705



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Zied ABID <ziedabid@free.fr>:
Bug#617425; Package wnpp. (Fri, 19 Apr 2013 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sascha Girrulat <s.girrulat@tarent.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Zied ABID <ziedabid@free.fr>. (Fri, 19 Apr 2013 09:21:04 GMT) Full text and rfc822 format available.

Message #57 received at 617425@bugs.debian.org (full text, mbox):

From: Sascha Girrulat <s.girrulat@tarent.de>
To: 617425@bugs.debian.org
Subject: ITP: derby -- an open source relational database implemented entirely in Java
Date: Fri, 19 Apr 2013 11:18:28 +0200
Hi,

we also need an apache derby package. We also could support if you need
help.

Regards
Sascha



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 20:06:08 GMT) Full text and rfc822 format available.

Reply sent to Emmanuel Bourg <ebourg@apache.org>:
You have taken responsibility. (Wed, 07 Aug 2013 23:03:14 GMT) Full text and rfc822 format available.

Notification sent to Zied ABID <ziedabid@free.fr>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 23:03:14 GMT) Full text and rfc822 format available.

Message #64 received at 617425-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: 617425-close@bugs.debian.org
Subject: Bug#617425: fixed in derby 10.10.1.1-1
Date: Wed, 07 Aug 2013 23:00:13 +0000
Source: derby
Source-Version: 10.10.1.1-1

We believe that the bug you reported is fixed in the latest version of
derby, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebourg@apache.org> (supplier of updated derby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Jun 2013 15:26:34 +0200
Source: derby
Binary: libderbyclient-java libderby-java derby-tools derby-doc
Architecture: source all
Version: 10.10.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebourg@apache.org>
Description: 
 derby-doc  - Apache Derby API documentation and examples
 derby-tools - Apache Derby Tools
 libderby-java - Apache Derby Database Engine and Embedded JDBC Driver
 libderbyclient-java - Apache Derby Client JDBC Driver
Closes: 617425
Changes: 
 derby (10.10.1.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #617425)
     Package developed with the help of Tim Booth <tbooth@ceh.ac.uk>,
     Zied Abid <ziedabid@free.fr> and Emmanuel Bourg <ebourg@apache.org>
Checksums-Sha1: 
 fa6c10ef1ab7641e8c1a4210b9f6560943551486 1563 derby_10.10.1.1-1.dsc
 a57fd20322f22957b16221bdca344338b0f12def 12324632 derby_10.10.1.1.orig.tar.gz
 d7b97c4153904bf5e3d71fc65489dc6cfb34725a 7208 derby_10.10.1.1-1.debian.tar.gz
 999e9c5a84a03ba81be2bc5cb54ce13aa358cdcc 507520 libderbyclient-java_10.10.1.1-1_all.deb
 49a629c84c28f3a646c1bed257db751ba392435e 4001740 libderby-java_10.10.1.1-1_all.deb
 27d66ffe0e7423101808f2d5a53c68bd332186c9 180612 derby-tools_10.10.1.1-1_all.deb
 84f262862177e758fa9b57f84455783d5b4a191f 9219240 derby-doc_10.10.1.1-1_all.deb
Checksums-Sha256: 
 59a415276016c07774e5c659bd48ae01d4c0315cefd818ae9f8bbd148943bb5c 1563 derby_10.10.1.1-1.dsc
 b76b06f61becadf3fc45c15c4b583e0179f7516b35a4d15e5259ba0dbff1e835 12324632 derby_10.10.1.1.orig.tar.gz
 7fa93e1106ca0444861c93f7b8a572b7045af29a8eb949e5bae6eb96a8b47dd2 7208 derby_10.10.1.1-1.debian.tar.gz
 f2ef1babb1175de5c5dac555d1731472a102df2e3658a48ecf62613c9f430a6a 507520 libderbyclient-java_10.10.1.1-1_all.deb
 a75c61e75d1af397a896f64961fd6feb0e4ec7e1206b2a6b6dfa942d640813c5 4001740 libderby-java_10.10.1.1-1_all.deb
 dbbbd04944f828a131487e97a18c0fe3c79671f4b2f0789a95508548d6ad49a4 180612 derby-tools_10.10.1.1-1_all.deb
 f421090f27a7027c159f5cd55981a1987d744447362219ebf169877bee042192 9219240 derby-doc_10.10.1.1-1_all.deb
Files: 
 9ccc7233a1c444fb94f56eac207f988f 1563 java optional derby_10.10.1.1-1.dsc
 bdf195a6d01f47f97fecf9e726c7fa7d 12324632 java optional derby_10.10.1.1.orig.tar.gz
 1a7964ddcbe7b81b8c26fb0aa229a9e7 7208 java optional derby_10.10.1.1-1.debian.tar.gz
 e1df2869d0049a26dcce63fb0720f91a 507520 java optional libderbyclient-java_10.10.1.1-1_all.deb
 d1da7def71a39f90c80f3c6cf832e16f 4001740 java optional libderby-java_10.10.1.1-1_all.deb
 1e69307407a7ec83af1f5dfc8971af8e 180612 java optional derby-tools_10.10.1.1-1_all.deb
 c478b54ca6b553d12346ccb8578333dc 9219240 doc optional derby-doc_10.10.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG4mHoACgkQiOXXM92JlhBglQCgnxYjA9kGs2jElGjAMtjJYEq9
N/UAoIpA3TiQkwMWQ9KPk9FUfnaG5xVv
=0chp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Sep 2013 07:28:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:03:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.